SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0002984: missing sudoers lines for triggers called when an openvpn user connects - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002984Endian FirewallOpenVPN Client and Serverpublic2010-06-07 09:162010-11-22 11:50
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4 
Target Version2.4Fixed in Version2.4 
Summary0002984: missing sudoers lines for triggers called when an openvpn user connects
Descriptionscripts in /etc/openvpn/client-connect.d/ will be started with user openvpn and thus each script needs a sudoers entry for user openvpn.

those entries are missing in the %post trigger of efw-vpn spec file.
add something like that:

grep -qEe "openvpn.*/usr/local/bin/setdnat\.py" /etc/sudoers || \
echo "openvpn ALL=NOPASSWD: /usr/local/bin/setdnat.py" >> /etc/sudoers
Tagspurple
Attached Files

- Relationships
related to 0002983closeddukeluke Endian Firewall OpenVPN: Routes don't get set 
related to 0003135closed Endian Firewall OpenVPN Gw2Gw site-to-site problem 

-  Notes
(0004384)
dukeluke (reporter)
2010-06-07 09:41

does that mean i have to add
openvpn ALL=NOPASSWD: /usr/local/bin/setdnat.py
openvpn ALL=NOPASSWD: /usr/local/bin/remoteroute.py
to /etc/sudoers?
(0004387)
dukeluke (reporter)
2010-06-07 09:53

ok, i've added those two lines, now it works!
thanks!
(0004419)
peter-endian (administrator)
2010-06-07 18:02

ah great.
this was a todo-ticket for us to know what we need to fix :)
thank you for reporting back. helps us much

- Issue History
Date Modified Username Field Change
2010-06-07 09:16 peter-endian New Issue
2010-06-07 09:16 peter-endian Issue generated from: 0002983
2010-06-07 09:16 peter-endian Relationship added related to 0002983
2010-06-07 09:41 dukeluke Note Added: 0004384
2010-06-07 09:53 dukeluke Note Added: 0004387
2010-06-07 12:04 ra-endian Status new => acknowledged
2010-06-07 14:21 peter-endian Status acknowledged => assigned
2010-06-07 14:21 peter-endian Status assigned => new
2010-06-07 14:21 peter-endian Assigned To => peter-endian
2010-06-07 14:22 peter-endian Status new => assigned
2010-06-07 18:02 peter-endian Note Added: 0004419
2010-06-08 08:18 peter-endian Status assigned => resolved
2010-06-08 08:18 peter-endian Fixed in Version => 2.4
2010-06-08 08:18 peter-endian Resolution open => fixed
2010-07-06 10:55 luca-endian Tag Attached: purple
2010-08-31 08:01 luca-endian Relationship added has duplicate 0003125
2010-09-14 10:34 luca-endian Relationship added related to 0003135
2010-11-22 11:50 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker